ros-jazzy-ros-gz-bridge (1.0.16-1noble) noble; urgency=high

  * Fix crash on old bridge definition (#775 <https://github.com/gazebosim/ros_gz/issues/775>)
  * Contributors: Jasper van Brakel

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 01 Jul 2025 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.15-1noble) noble; urgency=high

  * Added easy way to configure bridge from XML launch files. (backport #735 <https://github.com/gazebosim/ros_gz/issues/735>) (#754 <https://github.com/gazebosim/ros_gz/issues/754>)
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 11 Jun 2025 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.14-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 25 May 2025 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.13-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 22 May 2025 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.12-1noble) noble; urgency=high

  * Added LaserScan-Range bridge (backport #736 <https://github.com/gazebosim/ros_gz/issues/736>) (#739 <https://github.com/gazebosim/ros_gz/issues/739>)
  * Added codespell pre-commit hook. (#721 <https://github.com/gazebosim/ros_gz/issues/721>) (#722 <https://github.com/gazebosim/ros_gz/issues/722>)
  * Add pre commit (#718 <https://github.com/gazebosim/ros_gz/issues/718>) (#719 <https://github.com/gazebosim/ros_gz/issues/719>)
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 05 May 2025 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.11-1noble) noble; urgency=high

  * Add SpawnEntity, DeleteEntity, & SetEntityPose Support (backport #380 <https://github.com/gazebosim/ros_gz/issues/380>) (#712 <https://github.com/gazebosim/ros_gz/issues/712>)
    Co-authored-by: Afereti Pama <mailto:79831813+retinfai@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 20 Mar 2025 23:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.10-1noble) noble; urgency=high

  * Add LogicalCameraImage support (#698 <https://github.com/gazebosim/ros_gz/issues/698>) (#699 <https://github.com/gazebosim/ros_gz/issues/699>)
    (cherry picked from commit 16fbab43f8b984c4d23a7d9b8c53910f486f6fd1)
    Co-authored-by: Dyst-0 <mailto:69257845+Dyst-0@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 23 Feb 2025 23:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.9-1noble) noble; urgency=high

  * Minor optimization to avoid dynamic casting in Gazebo callbacks (#692 <https://github.com/gazebosim/ros_gz/issues/692>) (#693 <https://github.com/gazebosim/ros_gz/issues/693>)
    (cherry picked from commit f646d5cade730166f8cb408d483c24b6d382ca0e)
    Co-authored-by: Addisu Z. Taddese <mailto:addisu@openrobotics.org>
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 11 Feb 2025 23:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.8-1noble) noble; urgency=high

  * Merge pull request #670 <https://github.com/gazebosim/ros_gz/issues/670> from gazebosim/ahcorde/jazzy/bp/663
    [backport Jazzy] Improve argument parsing in Actions (#663 <https://github.com/gazebosim/ros_gz/issues/663>)
  * Fix linter errors
  * Improve argument parsing in Actions
    The RosGzBridge and GzServer now support different spellings for
    boolean arguments (True, true). This also simplifies how
    conditionals are used to create composable nodes by evaluating the
    conditionals and using them as regular Python booleans instead of
    relying on PythonExpression. It was actually the PythonExpression
    that was preventing support of boolean arguments spelled true/false.
  * Fix use_respawn argument causing errors (#651 <https://github.com/gazebosim/ros_gz/issues/651>) (#654 <https://github.com/gazebosim/ros_gz/issues/654>)
    (cherry picked from commit cfd0f8c74ded9efdcb35410135d0a1da1727dcff)
    Co-authored-by: Aarav Gupta <mailto:amronos275@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add a way to pass extra parameters to ros_gz_bridge (#628 <https://github.com/gazebosim/ros_gz/issues/628>) (#648 <https://github.com/gazebosim/ros_gz/issues/648>)
    * Add bridge_params argument to ros_gz_bridge
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Wiktor Bajor <mailto:69388767+Wiktor-99@users.noreply.github.com>
    (cherry picked from commit 558a1cfd55f9921e78a87c563d8ed847e9eae6bd)
    Co-authored-by: Aarav Gupta <mailto:amronos275@gmail.com>
  * Contributors: Addisu Z. Taddese, Alejandro Hernández Cordero, mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 13 Jan 2025 23:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.7-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 07 Nov 2024 23:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.6-1noble) noble; urgency=high

  * Extra parameter to start a container (#616 <https://github.com/gazebosim/ros_gz/issues/616>) (#618 <https://github.com/gazebosim/ros_gz/issues/618>)
    (cherry picked from commit 8115ccaaedea718841367eb64e500e13df392fd7)
    Co-authored-by: Carlos Agüero <mailto:caguero@openrobotics.org>
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 30 Oct 2024 23:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.5-1noble) noble; urgency=high

  * Merge pull request #607 <https://github.com/gazebosim/ros_gz/issues/607> from Amronos/ros2-jazzy-backport
  * Fix changelogs and versions
  * adds deadline and liveliness QoSPolicyKinds to qos_overriding_options (#609 <https://github.com/gazebosim/ros_gz/issues/609>) (#613 <https://github.com/gazebosim/ros_gz/issues/613>)
  * Remove default_value for required arguments (#602 <https://github.com/gazebosim/ros_gz/issues/602>)
  * Fix errors with name of bridge not being given (#600 <https://github.com/gazebosim/ros_gz/issues/600>)
  * Use optional parameters in actions (#601 <https://github.com/gazebosim/ros_gz/issues/601>)
  * Making use_composition true by default (#578 <https://github.com/gazebosim/ros_gz/issues/578>)
  * Use ignoreLocalMessages in the bridge (#559 <https://github.com/gazebosim/ros_gz/issues/559>)
  * Update launch files with name parameter (#556 <https://github.com/gazebosim/ros_gz/issues/556>)
  * Ensure the same container is used for the bridge and gz_server (#553 <https://github.com/gazebosim/ros_gz/issues/553>)
  * Launch ros_gz_bridge from xml (#550 <https://github.com/gazebosim/ros_gz/issues/550>)
  * Launch gzserver and the bridge as composable nodes (#528 <https://github.com/gazebosim/ros_gz/issues/528>)
  * adds deadline and liveliness QoSPolicyKinds to qos_overriding_options (#609 <https://github.com/gazebosim/ros_gz/issues/609>) (#613 <https://github.com/gazebosim/ros_gz/issues/613>)
  * Contributors: Aarav Gupta, Addisu Z. Taddese, Alejandro Hernández Cordero, Amronos, Carlos Agüero, mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 13 Oct 2024 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.4-1noble) noble; urgency=high

  * feat: override_timestamps_with_wall_time parameter (backport #562 <https://github.com/gazebosim/ros_gz/issues/562>) (#584 <https://github.com/gazebosim/ros_gz/issues/584>)
    Co-authored-by: Rein Appeldoorn <mailto:rein.appeldoorn@nobleo.nl>
  * Use memcpy instead of std::copy when bridging images (#565 <https://github.com/gazebosim/ros_gz/issues/565>) (#585 <https://github.com/gazebosim/ros_gz/issues/585>)
    While testing ros <-> gz communication using the bridge I noticed that the bridge was talking quite a bit of time copying images from Gazebo to ROS. I found that the std::copy operation that we're doing is substantially slower than the memcpy alternative. I think that in principle this shouldn't happen but the numbers are quite clear. Perhaps std::copy is doing something that doesn't use cache effectively
    ---------
    Co-authored-by: Jose Luis Rivero <jrivero@osrfoundation.org>
    (cherry picked from commit a781b78852112246245c05481db6335388d4f736)
    Co-authored-by: Carlos Agüero <caguero@openrobotics.org>
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 28 Aug 2024 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.3-1noble) noble; urgency=high

  * Add support for gz.msgs.EntityWrench (base branch: ros2) (#573 <https://github.com/gazebosim/ros_gz/issues/573>) (#574 <https://github.com/gazebosim/ros_gz/issues/574>)
    (cherry picked from commit f9afb69d1163633dd978024bb7271a28cf7b551a)
    Co-authored-by: Victor T. Noppeney <mailto:Vtn21@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 21 Jul 2024 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.2-1noble) noble; urgency=high

  * Merge pull request #569 <https://github.com/gazebosim/ros_gz//issues/569> from azeey/iron_to_jazzy
    Merge iron ➡️  jazzy
  * Merge iron into jazzy
  * Add option to change material color from ROS. (#521 <https://github.com/gazebosim/ros_gz//issues/521>)
    Forward port of #486 <https://github.com/gazebosim/ros_gz//issues/486>.
    * Message and bridge for MaterialColor.
    This allows bridging MaterialColor from ROS to GZ and is
    important for allowing simulation users to create status lights.
    (cherry picked from commit 78dc4823121f085594e6028a93f1e571eb04f58b)
  * Merge pull request #564 <https://github.com/gazebosim/ros_gz//issues/564> from azeey/humble_to_iron
    Humble ➡️ Iron
  * Merge humble -> iron
  * populate imu covariances when converting (#375 <https://github.com/gazebosim/ros_gz//issues/375>) (#540 <https://github.com/gazebosim/ros_gz//issues/540>)
    Co-authored-by: El Jawad Alaa <mailto:ejalaa12@gmail.com>
  * Prepare for 1.0.0 Release (#495 <https://github.com/gazebosim/ros_gz//issues/495>)
  * Use gz_vendor packages (#531 <https://github.com/gazebosim/ros_gz//issues/531>)
  * [backport Humble] Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>) (#538 <https://github.com/gazebosim/ros_gz//issues/538>)
    Co-authored-by: Rousseau Vincent <mailto:vincentrou@gmail.com>
  * [backport Iron] Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>) (#537 <https://github.com/gazebosim/ros_gz//issues/537>)
    Co-authored-by: Rousseau Vincent <mailto:vincentrou@gmail.com>
  * 0.244.14
  * Changelog
  * Added conversion for Detection3D and Detection3DArray (#523 <https://github.com/gazebosim/ros_gz//issues/523>) (#526 <https://github.com/gazebosim/ros_gz//issues/526>)
    Co-authored-by: wittenator <mailto:9154515+wittenator@users.noreply.github.com>
  * Added conversion for Detection3D and Detection3DArray (#523 <https://github.com/gazebosim/ros_gz//issues/523>) (#525 <https://github.com/gazebosim/ros_gz//issues/525>)
    Co-authored-by: wittenator <mailto:9154515+wittenator@users.noreply.github.com>
  * [Backport rolling] Add ROS namespaces to GZ topics (#517 <https://github.com/gazebosim/ros_gz//issues/517>)
    Co-authored-by: Krzysztof Wojciechowski <mailto:49921081+Kotochleb@users.noreply.github.com>
  * ign to gz (#519 <https://github.com/gazebosim/ros_gz//issues/519>)
  * Add ROS namespaces to GZ topics (#512 <https://github.com/gazebosim/ros_gz//issues/512>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Correctly export ros_gz_bridge for downstream targets (#503 <https://github.com/gazebosim/ros_gz//issues/503>) (#506 <https://github.com/gazebosim/ros_gz//issues/506>)
  * Add a virtual destructor to suppress compiler warning (#502 <https://github.com/gazebosim/ros_gz//issues/502>) (#505 <https://github.com/gazebosim/ros_gz//issues/505>)
    Co-authored-by: Michael Carroll <mailto:mjcarroll@intrinsic.ai>
  * Correctly export ros_gz_bridge for downstream targets (#503 <https://github.com/gazebosim/ros_gz//issues/503>)
  * Add a virtual destructor to suppress compiler warning (#502 <https://github.com/gazebosim/ros_gz//issues/502>)
  * Add option to change material color from ROS. (#486 <https://github.com/gazebosim/ros_gz//issues/486>)
    * Message and bridge for MaterialColor.
    This allows bridging MaterialColor from ROS to GZ and is
    important for allowing simulation users to create status lights.
    ---------
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Addisu Z. Taddese <mailto:addisuzt@intrinsic.ai>
    Co-authored-by: Addisu Z. Taddese <mailto:addisu@openrobotics.org>
  * 0.244.13
  * Changelog
  * backport pr 374 (#489 <https://github.com/gazebosim/ros_gz//issues/489>)
  * populate imu covariances when converting (#488 <https://github.com/gazebosim/ros_gz//issues/488>)
  * 0.244.12
  * Changelog
  * Backport: Add conversion for geometry_msgs/msg/TwistStamped <-> gz.msgs.Twist (#468 <https://github.com/gazebosim/ros_gz//issues/468>) (#470 <https://github.com/gazebosim/ros_gz//issues/470>)
  * Add conversion for geometry_msgs/msg/TwistStamped <-> gz.msgs.Twist (#468 <https://github.com/gazebosim/ros_gz//issues/468>)
  * Added messages for 2D Bounding Boxes to ros_gz_bridge (#458 <https://github.com/gazebosim/ros_gz//issues/458>) (#466 <https://github.com/gazebosim/ros_gz//issues/466>)
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * populate imu covariances when converting (#375 <https://github.com/gazebosim/ros_gz//issues/375>)
  * 0.246.0
  * Update changelogs
  * Add harmonic CI (#447 <https://github.com/gazebosim/ros_gz//issues/447>)
    * Add harmonic CI
    * Include garden options
    * Add harmonic stanza
    * Additional message headers
    ---------
  * SensorNoise msg bridging (#417 <https://github.com/gazebosim/ros_gz//issues/417>)
  * Added Altimeter msg bridging (#413 <https://github.com/gazebosim/ros_gz//issues/413>)
  * Update README.md (#411 <https://github.com/gazebosim/ros_gz//issues/411>)
    The ROS type for gz.msgs.NavSat messages should be **sensor_msgs/msg/NavSatFix** instead of **sensor_msgs/msg/NavSatFixed**
  * Add missing rosidl_cmake dep to ros_gz_bridge (#391 <https://github.com/gazebosim/ros_gz//issues/391>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * allow converting from/to TwistWithCovarianceStamped (#374 <https://github.com/gazebosim/ros_gz//issues/374>)
    * allow converting from/to TwistWithCovarianceStamped
    --------
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Added doc (#393 <https://github.com/gazebosim/ros_gz//issues/393>)
  * Port: humble to ros2 (#386 <https://github.com/gazebosim/ros_gz//issues/386>)
  * Merge branch 'humble' into mjcarroll/humble_to_ros2
  * allow converting from/to PoseWithCovarianceStamped (#381 <https://github.com/gazebosim/ros_gz//issues/381>)
    * allow converting from/to PoseWithCovarianceStamped
  * Add actuator_msgs to bridge. (#378 <https://github.com/gazebosim/ros_gz//issues/378>)
  * Update maintainers (#376 <https://github.com/gazebosim/ros_gz//issues/376>)
  * Fix warning message (#371 <https://github.com/gazebosim/ros_gz//issues/371>)
  * Improve error messages around config loading (#356 <https://github.com/gazebosim/ros_gz//issues/356>)
  * Bringing the Joy to gazebo. (#350 <https://github.com/gazebosim/ros_gz//issues/350>)
    Enable using the gazebo bridge with Joy.
  * Fix double wait in ros_gz_bridge (#347 <https://github.com/gazebosim/ros_gz//issues/347>)
  * Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>)
  * Humble ➡️ ROS2 (#323 <https://github.com/gazebosim/ros_gz//issues/323>)
    Humble ➡️ ROS2
  * Merge branch 'humble' into ports/humble_to_ros2
  * 0.245.0
  * Changelog
  * humble to ros2 (#311 <https://github.com/gazebosim/ros_gz//issues/311>)
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Remove Humble+ deprecations (#312 <https://github.com/gazebosim/ros_gz//issues/312>)
    * Remove Humble+ deprecations
  * Merge remote-tracking branch 'origin/humble' into ahcorde/humble_to_ros2
  * Remove all ignition references on ROS 2 branch (#302 <https://github.com/gazebosim/ros_gz//issues/302>)
    * Remove all shims
    * Update CMakeLists and package.xml for garden
    * Complete garden gz renaming
    * Drop fortress CI
  * Contributors: Addisu Z. Taddese, Aditya Pande, Alejandro Hernández Cordero, Arjun K Haridas, Benjamin Perseghetti, El Jawad Alaa, Jose Luis Rivero, Krzysztof Wojciechowski, Michael Carroll, Rousseau Vincent, Yadu, ahcorde, wittenator, ymd-stella

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 02 Jul 2024 22:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.0-1noble) noble; urgency=high

  * Use gz_vendor packages (#531 <https://github.com/gazebosim/ros_gz/issues/531>)
  * Added conversion for Detection3D and Detection3DArray (#523 <https://github.com/gazebosim/ros_gz/issues/523>) (#525 <https://github.com/gazebosim/ros_gz/issues/525>)
    Co-authored-by: wittenator <mailto:9154515+wittenator@users.noreply.github.com>
  * [Backport rolling] Add ROS namespaces to GZ topics (#517 <https://github.com/gazebosim/ros_gz/issues/517>)
    Co-authored-by: Krzysztof Wojciechowski <mailto:49921081+Kotochleb@users.noreply.github.com>
  * ign to gz (#519 <https://github.com/gazebosim/ros_gz/issues/519>)
  * Correctly export ros_gz_bridge for downstream targets (#503 <https://github.com/gazebosim/ros_gz/issues/503>)
  * Add a virtual destructor to suppress compiler warning (#502 <https://github.com/gazebosim/ros_gz/issues/502>)
  * Add conversion for geometry_msgs/msg/TwistStamped <-> gz.msgs.Twist (#468 <https://github.com/gazebosim/ros_gz/issues/468>)
  * Added messages for 2D Bounding Boxes to ros_gz_bridge (#458 <https://github.com/gazebosim/ros_gz/issues/458>) (#466 <https://github.com/gazebosim/ros_gz/issues/466>)
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * populate imu covariances when converting (#375 <https://github.com/gazebosim/ros_gz/issues/375>)
  * Contributors: Addisu Z. Taddese, Alejandro Hernández Cordero, El Jawad Alaa, Michael Carroll

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 23 Apr 2024 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.246.0-1noble) noble; urgency=high

  * Add harmonic CI (#447 <https://github.com/gazebosim/ros_gz/issues/447>)
    * Add harmonic CI
    * Include garden options
    * Add harmonic stanza
    * Additional message headers
    ---------
  * SensorNoise msg bridging (#417 <https://github.com/gazebosim/ros_gz/issues/417>)
  * Added Altimeter msg bridging (#413 <https://github.com/gazebosim/ros_gz/issues/413>)
  * Update README.md (#411 <https://github.com/gazebosim/ros_gz/issues/411>)
    The ROS type for gz.msgs.NavSat messages should be **sensor_msgs/msg/NavSatFix** instead of **sensor_msgs/msg/NavSatFixed**
  * Add missing rosidl_cmake dep to ros_gz_bridge (#391 <https://github.com/gazebosim/ros_gz/issues/391>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * allow converting from/to TwistWithCovarianceStamped (#374 <https://github.com/gazebosim/ros_gz/issues/374>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Added doc (#393 <https://github.com/gazebosim/ros_gz/issues/393>)
  * Port: humble to ros2 (#386 <https://github.com/gazebosim/ros_gz/issues/386>)
  * Merge branch 'humble' into mjcarroll/humble_to_ros2
  * allow converting from/to PoseWithCovarianceStamped (#381 <https://github.com/gazebosim/ros_gz/issues/381>)
    * allow converting from/to PoseWithCovarianceStamped
  * Add actuator_msgs to bridge. (#378 <https://github.com/gazebosim/ros_gz/issues/378>)
  * Update maintainers (#376 <https://github.com/gazebosim/ros_gz/issues/376>)
  * Fix warning message (#371 <https://github.com/gazebosim/ros_gz/issues/371>)
  * Improve error messages around config loading (#356 <https://github.com/gazebosim/ros_gz/issues/356>)
  * Bringing the Joy to gazebo. (#350 <https://github.com/gazebosim/ros_gz/issues/350>)
    Enable using the gazebo bridge with Joy.
  * Fix double wait in ros_gz_bridge (#347 <https://github.com/gazebosim/ros_gz/issues/347>)
  * Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz/issues/316>)
  * Humble ➡️ ROS2 (#323 <https://github.com/gazebosim/ros_gz/issues/323>)
  * Contributors: Aditya Pande, Alejandro Hernández Cordero, Arjun K Haridas, Benjamin Perseghetti, El Jawad Alaa, Michael Carroll, Rousseau Vincent, Yadu, ahcorde, ymd-stella

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 30 Aug 2023 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.245.0-1noble) noble; urgency=high

  * humble to ros2 (#311 <https://github.com/gazebosim/ros_gz/issues/311>)
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Remove Humble+ deprecations (#312 <https://github.com/gazebosim/ros_gz/issues/312>)
    * Remove Humble+ deprecations
  * Merge remote-tracking branch 'origin/humble' into ahcorde/humble_to_ros2
  * Remove all ignition references on ROS 2 branch (#302 <https://github.com/gazebosim/ros_gz/issues/302>)
    * Remove all shims
    * Update CMakeLists and package.xml for garden
    * Complete garden gz renaming
    * Drop fortress CI
  * Contributors: Alejandro Hernández Cordero, Michael Carroll, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 11 Oct 2022 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.10-1noble) noble; urgency=high

  * Fix warning message (#371 <https://github.com/gazebosim/ros_gz/issues/371>)
  * Introduce WrenchStamped into bridge (#327 <https://github.com/gazebosim/ros_gz/issues/327>)
  * Humbly bringing the Joy to gazebo. (#353 <https://github.com/gazebosim/ros_gz/issues/353>)
  * Make the bridge aware of both gz and ignition msgs (#349 <https://github.com/gazebosim/ros_gz/issues/349>)
  * Contributors: Benjamin Perseghetti, El Jawad Alaa, Michael Carroll, livanov93

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 02 May 2023 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.9-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 02 Nov 2022 23:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.8-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 27 Oct 2022 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.7-1noble) noble; urgency=high

  * Make sure that ign_* yaml configs work as well (#310 <https://github.com/gazebosim/ros_gz/issues/310>)
  * Bridge between msgs::Float_V and ros_gz_interfaces/Float32Array msg types (#306 <https://github.com/gazebosim/ros_gz/issues/306>)
    * bridge float_v and float32_multi_array msg type
    Co-authored-by: Ian Chen <mailto:ichen@openrobotics.org>
  * Bridge between msgs::Pose_V and geometry_msgs/PoseArray msg types (#305 <https://github.com/gazebosim/ros_gz/issues/305>)
  * replace ign with gz in ros_gz_bridge README (#303 <https://github.com/gazebosim/ros_gz/issues/303>)
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Fix merge
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Ian Chen, Michael Carroll, Olivier Kermorgant

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 11 Oct 2022 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.6-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 13 Sep 2022 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.5-1noble) noble; urgency=high

  * Fix missing msgs include and packages.xml deps (#292 <https://github.com/gazebosim/ros_gz/issues/292>)
    * Fix missing msgs include and packages.xml deps
    * Add additional conditions to support gz sim invocation
    * Fix cpplint
  * Add missing GZ_VERSION ticktocks (#289 <https://github.com/gazebosim/ros_gz/issues/289>)
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 11 Sep 2022 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.3-1noble) noble; urgency=high

  * Feature: set QoS options to override durability (#250 <https://github.com/gazebosim/ros_gz/issues/250>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Adds pose and twist with covariance messages bridging (#222 <https://github.com/gazebosim/ros_gz/issues/222>)
    * Added pose, twist and odometry with covariance messages bridging
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Louise Poubel

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 18 May 2022 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.2-1noble) noble; urgency=high

  * Support bridging services (#211 <https://github.com/gazebosim/ros_gz/issues/211>)
  * Added reminder to hit play to receive images. (#237 <https://github.com/gazebosim/ros_gz/issues/237>)
  * Updated ign topic commands on README (#221 <https://github.com/gazebosim/ros_gz/issues/221>)
  * Add conversions for ros_gz_interfaces/WorldControl and builtin_interfaces/Time (#216 <https://github.com/gazebosim/ros_gz/issues/216>)
  * [ros_gz_interfaces] Add GuiCamera, StringVec, TrackVisual, VideoRecord (#214 <https://github.com/gazebosim/ros_gz/issues/214>)
  * Break apart ros_subscriber test translation unit (#212 <https://github.com/gazebosim/ros_gz/issues/212>)
  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * Add missing dependency on rclcpp (#209 <https://github.com/gazebosim/ros_gz/issues/209>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Contributors: Aditya Pande, Ivan Santiago Paunovic, Joep Tool, Louise Poubel, Michael Carroll

 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 24 Apr 2022 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.1-1noble) noble; urgency=high

  * Improve modularity of ign/ros publisher tests (#194 <https://github.com/gazebosim/ros_gz/issues/194>)
  * Contributors: Michael Carroll

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 03 Jan 2022 23:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.0-1noble) noble; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/gazebosim/ros_gz/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/gazebosim/ros_gz/issues/199>)
  * New Light Message, also bridge Color (#187 <https://github.com/gazebosim/ros_gz/issues/187>)
  * Statically link each translation unit (#193 <https://github.com/gazebosim/ros_gz/issues/193>)
  * Break apart convert and factories translation unit (#192 <https://github.com/gazebosim/ros_gz/issues/192>)
  * Fixed ROS subscriber test in ros_gz_bridge (#189 <https://github.com/gazebosim/ros_gz/issues/189>)
  * Enable QoS overrides (#181 <https://github.com/gazebosim/ros_gz/issues/181>)
  * Fixed ros ign bridge documentation (#178 <https://github.com/gazebosim/ros_gz/issues/178>)
  * Expose Contacts through ROS bridge (#175 <https://github.com/gazebosim/ros_gz/issues/175>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Doisy, Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 29 Dec 2021 23:00:00 -0000

ros-jazzy-ros-gz-bridge (0.233.2-1noble) noble; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/gazebosim/ros_gz/issues/164>)
  * Contributors: Louise Poubel

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 19 Jul 2021 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.233.1-1noble) noble; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/gazebosim/ros_gz/issues/150>)
  * Ignore local publications for ROS 2 subscriber (#146 <https://github.com/gazebosim/ros_gz/issues/146>)
    - Note: Does not work with all rmw implementations (e.g.: FastRTPS)
  * Update documentation for installation instructions and bridge examples (#142 <https://github.com/gazebosim/ros_gz/issues/142>)
  * Edifice support (#140 <https://github.com/gazebosim/ros_gz/issues/140>)
  * Add JointTrajectory message conversion (#121 <https://github.com/gazebosim/ros_gz/issues/121>)
    Conversion between
    - ignition::msgs::JointTrajectory
    - trajectory_msgs::msg::JointTrajectory
  * Add TFMessage / Pose_V and Float64 / Double conversions (#117 <https://github.com/gazebosim/ros_gz/issues/117>)
    Addresses issue #116 <https://github.com/gazebosim/ros_gz/issues/116>
  * Updated prereq & branch name (#113 <https://github.com/gazebosim/ros_gz/issues/113>)
  * Update releases (#108 <https://github.com/gazebosim/ros_gz/issues/108>)
  * Updated README.md (#104 <https://github.com/gazebosim/ros_gz/issues/104>)
  * Add support for Dome (#103 <https://github.com/gazebosim/ros_gz/issues/103>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Florent Audonnet, Jenn, Louise Poubel, Luca Della Vedova

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 15 Apr 2021 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.221.1-1noble) noble; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/gazebosim/ros_gz/issues/102>)
  * Port ros_gz_bridge tests to ROS 2 (#98 <https://github.com/gazebosim/ros_gz/issues/98>)
  * Rename test_utils.hpp (#98 <https://github.com/gazebosim/ros_gz/issues/98>)
  * Contributors: Louise Poubel, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.221.0-1noble) noble; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/gazebosim/ros_gz/issues/95>)
  * Move headers to src, rename builtin_interfaces (#95 <https://github.com/gazebosim/ros_gz/issues/95>)
  * Integer support (#91 <https://github.com/gazebosim/ros_gz/issues/91>)
    Adds Int32 to the bridge.
  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/gazebosim/ros_gz/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Ignore ros-args in parameter bridge (#65 <https://github.com/gazebosim/ros_gz/issues/65>)
  * Update Dashing docs (#62 <https://github.com/gazebosim/ros_gz/issues/62>)
  * Update dependencies to Citadel (#57 <https://github.com/gazebosim/ros_gz/issues/57>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/gazebosim/ros_gz/issues/58>)
    Port ros_gz_image to ROS2
    Port ros_gz_sim_demos to ROS2
  * Add support for std_msgs/Empty (#53 <https://github.com/gazebosim/ros_gz/issues/53>)
  * Add support for std_msgs/Bool (#50 <https://github.com/gazebosim/ros_gz/issues/50>)
  * [ros2] Port ros_gz_bridge to ROS2 (#45 <https://github.com/gazebosim/ros_gz/issues/45>)
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/gazebosim/ros_gz/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Addisu Taddese, Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Luca Della Vedova, Michael Carroll, Mohamed Ahmed, Shivesh Khaitan, chapulina

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 22 Jul 2020 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.7.0-1noble) noble; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug
    Adding debug and error statements
  * Switch to characters supported by ros
  * Merge branch 'debug' into unidirectional
  * More output, and rosconsole depend
  * Support specification of bridge direction
  * Adding debug and error statements
  * Contributors: Nate Koenig

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 14 Aug 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.6.3-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sat, 03 Aug 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.6.2-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sat, 03 Aug 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.6.1-1noble) noble; urgency=high

  * Update README.md
  * Contributors: Carlos Agüero

 -- Aditya Pande <adityapande@intrinsic.ai>  Sat, 03 Aug 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.6.0-1noble) noble; urgency=high

  * Merge pull request #33 <https://github.com/osrf/ros1_ign_bridge/issues/33> from osrf/issue_31
    Fix issue #31 <https://github.com/osrf/ros1_ign_bridge/issues/31>
  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Use intra-process field from messageInfo.
  * Contributors: Carlos Aguero, Nate Koenig, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 01 Aug 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.4.0-1noble) noble; urgency=high

  * tests and reverse bridge for pointcloud
  * Bridge point cloud packed
  * Contributors: Nate Koenig

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 15 Jul 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.3.1-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 30 Jun 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.3.0-1noble) noble; urgency=high

  * 0.2.0
  * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry (#22 <https://github.com/osrf/ros1_ign_bridge/issues/22>)
    * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry.
    * Update documentation.
    * More time to run tests
    * Cleaning test_utils.
    * Remove explicit ROS dependencies for Travis.
    * diff drive demo with cmd_vel and odom
    * process child frame id
  * Fluid pressure (#20 <https://github.com/osrf/ros1_ign_bridge/issues/20>)
    * screenshots
    * missing IMU
    * Fluid pressure
    * Fix tests.
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Point clouds for RGBD cameras (#17 <https://github.com/osrf/ros1_ign_bridge/issues/17>)
    * Beginning of point cloud package
    * Populating image data, but result is not correct. Must find out where's the source of the problem.
    * RGB -> BGR: why?
    * Cleanup code and example
    * pointcloud -> point_cloud
    * add keys - how was this working before?
    * install wget
    * well, we need ign-gz2 :sweat_smile:
    * README update
    * PR feedback
    * .travis/build: rosdep skip ignition keys (#18 <https://github.com/osrf/ros1_ign_bridge/issues/18>)
    * .travis/build: rosdep skip ignition keys
    * Update build
  * Move package to subfolder, add metapackage (#16 <https://github.com/osrf/ros1_ign_bridge/issues/16>)
  * Contributors: Carlos Agüero, Nate Koenig, chapulina

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 27 Jun 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.2.2-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 19 May 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.2.1-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Fri, 10 May 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.2.0-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 08 May 2019 22:00:00 -0000

ros-jazzy-ros-gz-bridge (0.1.0-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 19 Mar 2019 23:00:00 -0000


